Name:           rpmrebuild
Version:        2.11
Release:        7
Summary:        A tool to build a rpm file from the rpm database
License:        GPLv2+
URL:            http://rpmrebuild.sourceforge.net
Source0:        https://downloads.sourceforge.net/rpmrebuild/%{name}-%{version}.tar.gz

Patch6000:      add-missing-shebang.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       rpm grep bash cpio textutils rpm-build

%description
%{name} allows to build an rpm file from an installed rpm, or from
another rpm file, with or without changes (batch or interactive). It
can be extended by a plugin system. A typical use is to easy repackage
a software after some configuration's change.

%package_help

%prep
%autosetup -c  -p1

%build
%make_build

%install
%make_install
chmod a+w $RPM_BUILD_ROOT%{_prefix}/lib/rpmrebuild/rpmrebuild_parser.src
awk '{if (NR==1) print "#!/bin/bash\n" $0; else print $0;}' < $RPM_BUILD_ROOT%{_prefix}/lib/rpmrebuild/rpmrebuild_parser.src > $RPM_BUILD_ROOT%{_prefix}/lib/rpmrebuild/rpmrebuild_parser.src.new
mv $RPM_BUILD_ROOT%{_prefix}/lib/rpmrebuild/rpmrebuild_parser.src.new $RPM_BUILD_ROOT%{_prefix}/lib/rpmrebuild/rpmrebuild_parser.src
chmod a-w $RPM_BUILD_ROOT%{_prefix}/lib/rpmrebuild/rpmrebuild_parser.src
install -d -p $RPM_BUILD_ROOT%{_mandir}/fr/man1/
mv $RPM_BUILD_ROOT%{_mandir}/fr_FR.UTF-8/man1/*  $RPM_BUILD_ROOT%{_mandir}/fr/man1/
rm -rf $RPM_BUILD_ROOT%{_mandir}/fr_FR.UTF-8/man1/


%files 
%defattr(-,root,root)
%doc AUTHORS 
%license COPYING COPYRIGHT 
%attr(0755,root,root) %{_bindir}/rpmrebuild
%attr(0755,root,root) %{_prefix}/lib/rpmrebuild/plugins/*.sh
%attr(0755,root,root) %{_prefix}/lib/rpmrebuild/*.src
%attr(0755,root,root) %{_prefix}/lib/rpmrebuild/*.sh
%{_prefix}/lib/rpmrebuild/VERSION
%{_prefix}/lib/rpmrebuild/plugins/*.plug
%{_prefix}/lib/rpmrebuild/locale/*

%files help
%defattr(-,root,root)
%doc Changelog News README Todo
%{_mandir}/man1/*.gz
%{_mandir}/fr_FR/man1/*
%{_mandir}/fr/man1/*.gz

%changelog
* Tue Dec 31 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.11-7
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:optimization the spec

* Sat Oct 19 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.11-6
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:change the directory of the license files

* Wed Sep 11 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.11-5
- Package init
